Bug 1271134 (CVE-2015-7799) - CVE-2015-7799 kernel: net: slip: crash when using PPP character device driver
Summary: CVE-2015-7799 kernel: net: slip: crash when using PPP character device driver
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-7799
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1271135
Blocks: 1271136
TreeView+ depends on / blocked
 
Reported: 2015-10-13 08:43 UTC by Martin Prpič
Modified: 2019-09-29 13:37 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was discovered in the Linux kernel where issuing certain ioctl() -s commands to the "/dev/ppp" device file could lead to a NULL pointer dereference. A privileged user could use this flaw to cause a kernel crash and denial of service.
Clone Of:
Environment:
Last Closed: 2015-11-30 16:22:04 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-10-13 08:43:34 UTC
The following flaw was found in the Linux kernel:

In the process of using the PPP device driver, if the unit of the PPP device file has been created. On the basis of the above, the ioctl function is used to pass the PPPIOCSMAXCID command and the 0x67084000  parameter (parameters must be satisfied: arg>>16 > 255 and 0xFFFF&arg > 255), which will lead to the use of null pointers in the kernel.

References:

https://code.google.com/p/android/issues/detail?id=187973
http://seclists.org/oss-sec/2015/q4/53
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/net/slip/slhc.c?id=4ab42d78e37a294ac7bc56901d563c642e03c4ae

Comment 1 Martin Prpič 2015-10-13 08:44:25 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1271135]

Comment 2 Josh Boyer 2015-10-21 12:47:49 UTC
Ben Hutchings posted a two patch series to fix this issue, however his mailer corrupted the patches according to the netdev maintainer.

https://www.mail-archive.com/netdev@vger.kernel.org/msg82709.html

Comment 4 Fedora Update System 2015-11-19 09:55:33 UTC
kernel-4.2.6-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-11-19 12:20:38 UTC
kernel-4.2.6-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-11-20 23:21:18 UTC
kernel-4.1.13-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Vladis Dronov 2015-11-30 16:22:04 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2.

This has been rated as having Low security impact as privileged access is required to exploit it, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.